Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QApplication.ColorSpec

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QApplication.ColorSpec

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QApplication

    public static final class QApplication.ColorSpec

extends java.lang.Enum
implements QtEnumerator

See `setColorSpec()` for full details.

See Also:
  Serialized Form

Field Summary
`static QApplication.ColorSpec` | `CustomColor` the same as `NormalColor` for X11; allocates colors to a palette on demand under Windows
`static QApplication.ColorSpec` | `ManyColor` the right choice for applications that use thousands of colors
`static QApplication.ColorSpec` | `NormalColor` the default color allocation policy

Method Summary
`static QApplication.ColorSpec` | `resolve(int value)` Returns the QApplication$ColorSpec constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QApplication.ColorSpec` | `valueOf(java.lang.String name)`
`static QApplication.ColorSpec[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NormalColor

    public static final QApplication.ColorSpec NormalColor

  the default color allocation policy

### CustomColor

    public static final QApplication.ColorSpec CustomColor

  the same as `NormalColor` for X11; allocates colors to a palette on demand under Windows

### ManyColor

    public static final QApplication.ColorSpec ManyColor

  the right choice for applications that use thousands of colors

Method Detail

### values

    public static QApplication.ColorSpec[] values()

### valueOf

    public static QApplication.ColorSpec valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QApplication.ColorSpec resolve(int value)

  Returns the QApplication$ColorSpec constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD